@echo off
SET "BASEDIR=%~dp0"
SET "DATADIR=%BASEDIR%data"

echo Verificando status do PostgreSQL...

"%BASEDIR%bin\pg_ctl.exe" status -D "%DATADIR%" >nul 2>&1
IF %ERRORLEVEL% EQU 0 (
    echo PostgreSQL está rodando. Parando...
    "%BASEDIR%bin\pg_ctl.exe" stop -D "%DATADIR%" -m fast
) ELSE (
    echo PostgreSQL está parado. Iniciando...
    "%BASEDIR%bin\pg_ctl.exe" start -D "%DATADIR%" -l "%BASEDIR%logfile.log"
)

pause
